ru.bitel.bgbilling.modules.card.common.service

## Interface CardService

-     @MTOM(enabled=true,
            threshold=10000)
      public interface CardService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cardActivateForPayment(int contractId, java.lang.String number, java.lang.String pin)` Активация карты для пополнения баланса.
    `java.util.List<Dealer>` | `dealerList(int type)`
    `Result<DealerPayment>` | `paymentList(java.util.Set<java.lang.Integer> dealerIds, java.util.Date dateFrom, java.util.Date dateTo, int type, java.lang.String trans, java.lang.String contract, long contractGroups, java.util.List<FilterEntityAttr> contractFilter, Page page)`
    `void` | `paymentListExport(java.util.Set<java.lang.Integer> dealerIds, java.util.Date dateFrom, java.util.Date dateTo, int type, java.lang.String trans, java.lang.String contract, long contractGroups, java.util.List<FilterEntityAttr> contractFilter, Page page, javax.xml.ws.Holder<javax.activation.DataHandler> data)`

- - ### Method Detail

    - #### paymentList

          Result<DealerPayment> paymentList(java.util.Set<java.lang.Integer> dealerIds,
                                            java.util.Date dateFrom,
                                            java.util.Date dateTo,
                                            int type,
                                            java.lang.String trans,
                                            java.lang.String contract,
                                            long contractGroups,
                                            java.util.List<FilterEntityAttr> contractFilter,
                                            Page page)
                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### paymentListExport

          void paymentListExport(java.util.Set<java.lang.Integer> dealerIds,
                                 java.util.Date dateFrom,
                                 java.util.Date dateTo,
                                 int type,
                                 java.lang.String trans,
                                 java.lang.String contract,
                                 long contractGroups,
                                 java.util.List<FilterEntityAttr> contractFilter,
                                 Page page,
                                 javax.xml.ws.Holder<javax.activation.DataHandler> data)
                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### dealerList

          java.util.List<Dealer> dealerList(int type)
                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### cardActivateForPayment

          void cardActivateForPayment(int contractId,
                                      java.lang.String number,
                                      java.lang.String pin)
                               throws ru.bitel.bgbilling.common.BGException,
                                      ru.bitel.bgbilling.common.BGMessageException,
                                      ru.bitel.bgbilling.common.BGIllegalArgumentException,
                                      ru.bitel.bgbilling.common.BGIllegalAccessException

      Активация карты для пополнения баланса.
      Parameters:
        `contractId` - ID договора, для которого активируется карта.
        `number` - номер карты.
        `pin` - пароль (PIN-код) карты.
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`
        `ru.bitel.bgbilling.common.BGIllegalAccessException`